%global with_python3 1
%global pyname pystache

Name:           python-pystache
Version:        0.5.3
Release:        %mkrel 3
Summary:        Mustache for Python
Group:           Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/%{pyname}/
Source0:        http://pypi.python.org/packages/source/p/%{pyname}/%{pyname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
# For the test
BuildRequires:  python-simplejson
Requires:       python-simplejson

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For the test
BuildRequires:  python3-simplejson
Requires:       python3-simplejson
%endif # if with_python3

%description
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."


%if 0%{?with_python3}
%package -n python3-pystache
Group:          Development/Python
Summary:        Mustache for Python

%description -n python3-pystache
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%endif # with_python3
%prep
%setup -q -n pystache-%{version}
rm -fvr pystache.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
pushd %{buildroot}%{_bindir}
mv pystache pystache3
mv pystache-test pystache-test3
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} -m pystache.commands.test

# tests fail for py3 for some reason
#%if 0%{?with_python3}
#pushd %{py3dir}
#%{__python3} -m pystache.commands.test
#popd
#%endif # with_python3 

%files
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python_sitelib}/%{pyname}/
%{python_sitelib}/%{pyname}-%{version}-py?.?.egg-info
%{_bindir}/%{pyname}
%{_bindir}/%{pyname}-test

%if 0%{?with_python3}
%files -n python3-pystache
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python3_sitelib}/%{pyname}/
%{python3_sitelib}/%{pyname}-%{version}-py?.?.egg-info
%{_bindir}/%{pyname}3
%{_bindir}/%{pyname}-test3
%endif # with_python3


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.5.3-3.mga6
+ Revision: 971131
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.3-2.mga6
+ Revision: 889302
- rebuild for python 3.5

* Fri Aug 07 2015 joequant <joequant> 0.5.3-1.mga6
+ Revision: 861544
- move pystache to python-pystache
- imported package pystache

